package com.lz.modules.luck.dao;
/**
* <p>
* 奖品表 服务类
* </p>
*
* @author quyixiao
* @since 2020-08-21
*/
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.lz.modules.luck.entity.LuckGoods;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface LuckGoodsMapper extends BaseMapper<LuckGoods> {


	LuckGoods selectLuckGoodsById(@Param("id")Long id);


	Long insertLuckGoods(LuckGoods luckGoods);


	int updateLuckGoodsById(LuckGoods luckGoods);


	int updateCoverLuckGoodsById(LuckGoods luckGoods);


	int deleteLuckGoodsById(@Param("id")Long id);


    List<LuckGoods> getByLuckId(@Param("luckId") Long luckId);

	int selectNumGoodLuckRecordByLuckId(@Param("luckId") Long luckId);

	List<LuckGoods> getNoFinishByLuckId(Long luckId);
}